Debian Bug report logs - #257876
nis: NIS pinches CUPS's ports

version graph

Package: nis; Maintainer for nis is Mark Brown <broonie@debian.org>; Source for nis is src:nis.

Reported by: John Winters <john@sinodun.org.uk>

Date: Tue, 6 Jul 2004 13:03:03 UTC

Severity: normal

Tags: confirmed

Merged with 306465

Found in versions 3.11-3, 3.13-2

Done: Mark Brown <broonie@sirena.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Miquel van Smoorenburg <miquels@cistron.nl>:
Bug#257876; Package nis. Full text and rfc822 format available.

Acknowledgement sent to John Winters <john@sinodun.org.uk>:
New Bug report received and forwarded. Copy sent to Miquel van Smoorenburg <miquels@cistron.nl>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Winters <john@sinodun.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nis: NIS pinches CUPS's ports
Date: Tue, 06 Jul 2004 13:59:08 +0100
Package: nis
Version: 3.11-3
Severity: normal

When NIS starts up it allocates UDP and TCP port numbers.  Sometimes it
uses port 631 (either UDP or TCP) which then prevents CUPS from starting
up.

My simple workaround is to change their relative priorities so that
CUPS starts before NIS, but I suspect this is just masking a fundamental
problem in the way the port numbers are being selected.  Whether the
mistake is in NIS, CUPS or somewhere else I just don't know.

-- Package-specific info:

NIS domain: home.sinodun.org.uk 


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.26-lunar7
Locale: LANG=en_GB, LC_CTYPE=en_GB (ignored: LC_ALL set to en_GB)

Versions of packages nis depends on:
ii  debconf                     1.4.28       Debian configuration management sy
ii  libc6                       2.3.2.ds1-13 GNU C Library: Shared libraries an
ii  libgdbm3                    1.8.3-2      GNU dbm database routines (runtime
ii  libslp1                     1.0.11-7     OpenSLP libraries
ii  make                        3.80-8       The GNU version of the "make" util
ii  netbase                     4.17         Basic TCP/IP networking system
ii  portmap                     5-4          The RPC portmapper
ii  sysvinit                    2.85-22      System-V like init

-- debconf information:
* nis/not-yet-configured:
  nis/domain: debian



Information forwarded to debian-bugs-dist@lists.debian.org, Miquel van Smoorenburg <miquels@cistron.nl>:
Bug#257876; Package nis. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Copy sent to Miquel van Smoorenburg <miquels@cistron.nl>. Full text and rfc822 format available.

Message #10 received at 257876@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: John Winters <john@sinodun.org.uk>, 257876@bugs.debian.org
Subject: Re: Bug#257876: nis: NIS pinches CUPS's ports
Date: Tue, 6 Jul 2004 14:21:19 +0100
On Tue, Jul 06, 2004 at 01:59:08PM +0100, John Winters wrote:

> My simple workaround is to change their relative priorities so that
> CUPS starts before NIS, but I suspect this is just masking a fundamental
> problem in the way the port numbers are being selected.  Whether the
> mistake is in NIS, CUPS or somewhere else I just don't know.

NIS is just getting a port allocated by the kernel when it starts while
CUPS is explicitly binding to a port.  You could work around this by
specifying ports to the various NIS services in /etc/default/nis but
you'll have the same problem with anything else that asks the kernel to
select a port and runs as root.

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."



Reply sent to Joe Wreschnig <piman@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to John Winters <john@sinodun.org.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 257876-close@bugs.debian.org (full text, mbox):

From: Joe Wreschnig <piman@debian.org>
To: 257876-close@bugs.debian.org
Subject: Bug#257876: fixed in pathological 1.1.3-5
Date: Fri, 24 Sep 2004 04:02:06 -0400
Source: pathological
Source-Version: 1.1.3-5

We believe that the bug you reported is fixed in the latest version of
pathological, which is due to be installed in the Debian FTP archive:

pathological_1.1.3-5.diff.gz
  to pool/main/p/pathological/pathological_1.1.3-5.diff.gz
pathological_1.1.3-5.dsc
  to pool/main/p/pathological/pathological_1.1.3-5.dsc
pathological_1.1.3-5_all.deb
  to pool/main/p/pathological/pathological_1.1.3-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 257876@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joe Wreschnig <piman@debian.org> (supplier of updated pathological package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 23 Sep 2004 21:39:12 -0500
Source: pathological
Binary: pathological
Architecture: source all
Version: 1.1.3-5
Distribution: unstable
Urgency: low
Maintainer: Joe Wreschnig <piman@debian.org>
Changed-By: Joe Wreschnig <piman@debian.org>
Description: 
 pathological - puzzle game involving paths and marbles
Closes: 257876 269684
Changes: 
 pathological (1.1.3-5) unstable; urgency=low
 .
   * Patch main menu to allow initial level selection, up to the
     highest level you have beaten. (Closes: #257876)
   * Initialize display, mixer, font individually. (Closes: #269684)
Files: 
 b5a22e0de701ffacfd13659cc02a1dd8 595 games optional pathological_1.1.3-5.dsc
 c4d5104a198becaa6a8e4cf0962c5de9 4745 games optional pathological_1.1.3-5.diff.gz
 cac7bb70088430681c8fea3f1da6f8fa 823400 games optional pathological_1.1.3-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBU4tzTFkUq7Drx3cRAi6EAKC4irtOoLg6/rjN5OT0DUs9RV2TJgCghux3
S6bzlJT4YY6alPoUjCwS2Aw=
=qcld
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Joe Wreschnig <piman@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Miquel van Smoorenburg <miquels@cistron.nl>:
Bug#257876; Package nis. Full text and rfc822 format available.

Acknowledgement sent to John Winters <john@sinodun.org.uk>:
Extra info received and forwarded to list. Copy sent to Miquel van Smoorenburg <miquels@cistron.nl>. Full text and rfc822 format available.

Message #22 received at 257876@bugs.debian.org (full text, mbox):

From: John Winters <john@sinodun.org.uk>
To: 257876@bugs.debian.org
Subject: Re: Bug#257876 acknowledged by developer (Bug#257876: fixed in pathological 1.1.3-5)
Date: Fri, 24 Sep 2004 09:36:14 +0100
Hello there,

Somehow threads seem to have got crossed in the bug tracking system.  I
reported a bug against the NIS package and yet this closure report seems
to relate to pathological, described as being a puzzle game.  Shome
mishtake shurely?

Regards,
John Winters

On Fri, 2004-09-24 at 09:18, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> #257876: nis: NIS pinches CUPS's ports,
> which was filed against the nis package.
> 
> It has been closed by one of the developers, namely
> Joe Wreschnig <piman@debian.org>.
> 
> Their explanation is attached below.  If this explanation is
> unsatisfactory and you have not received a better one in a separate
> message then please contact the developer, by replying to this email.
> 
> Debian bug tracking system administrator
> (administrator, Debian Bugs database)
> 
> Received: (at 257876-close) by bugs.debian.org; 24 Sep 2004 08:08:09 +0000
> >From katie@ftp-master.debian.org Fri Sep 24 01:08:09 2004
> Return-path: <katie@ftp-master.debian.org>
> Received: from newraff.debian.org [208.185.25.31] (mail)
> 	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
> 	id 1CAl7h-000156-00; Fri, 24 Sep 2004 01:08:09 -0700
> Received: from katie by newraff.debian.org with local (Exim 3.35 1 (Debian))
> 	id 1CAl1q-0005Ge-00; Fri, 24 Sep 2004 04:02:06 -0400
> From: Joe Wreschnig <piman@debian.org>
> To: 257876-close@bugs.debian.org
> X-Katie: $Revision: 1.51 $
> Subject: Bug#257876: fixed in pathological 1.1.3-5
> Message-Id: <E1CAl1q-0005Ge-00@newraff.debian.org>
> Sender: Archive Administrator <katie@ftp-master.debian.org>
> Date: Fri, 24 Sep 2004 04:02:06 -0400
> Delivered-To: 257876-close@bugs.debian.org
> X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2004_03_25 
> 	(1.212-2003-09-23-exp) on spohr.debian.org
> X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
> 	autolearn=no version=2.60-bugs.debian.org_2004_03_25
> X-Spam-Level: 
> 
> Source: pathological
> Source-Version: 1.1.3-5
> 
> We believe that the bug you reported is fixed in the latest version of
> pathological, which is due to be installed in the Debian FTP archive:
> 
> pathological_1.1.3-5.diff.gz
>   to pool/main/p/pathological/pathological_1.1.3-5.diff.gz
> pathological_1.1.3-5.dsc
>   to pool/main/p/pathological/pathological_1.1.3-5.dsc
> pathological_1.1.3-5_all.deb
>   to pool/main/p/pathological/pathological_1.1.3-5_all.deb
> 
> 
> 
> A summary of the changes between this version and the previous one is
> attached.
> 
> Thank you for reporting the bug, which will now be closed.  If you
> have further comments please address them to 257876@bugs.debian.org,
> and the maintainer will reopen the bug report if appropriate.
> 
> Debian distribution maintenance software
> pp.
> Joe Wreschnig <piman@debian.org> (supplier of updated pathological package)
> 
> (This message was generated automatically at their request; if you
> believe that there is a problem with it please contact the archive
> administrators by mailing ftpmaster@debian.org)
> 
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Format: 1.7
> Date: Thu, 23 Sep 2004 21:39:12 -0500
> Source: pathological
> Binary: pathological
> Architecture: source all
> Version: 1.1.3-5
> Distribution: unstable
> Urgency: low
> Maintainer: Joe Wreschnig <piman@debian.org>
> Changed-By: Joe Wreschnig <piman@debian.org>
> Description: 
>  pathological - puzzle game involving paths and marbles
> Closes: 257876 269684
> Changes: 
>  pathological (1.1.3-5) unstable; urgency=low
>  .
>    * Patch main menu to allow initial level selection, up to the
>      highest level you have beaten. (Closes: #257876)
>    * Initialize display, mixer, font individually. (Closes: #269684)
> Files: 
>  b5a22e0de701ffacfd13659cc02a1dd8 595 games optional pathological_1.1.3-5.dsc
>  c4d5104a198becaa6a8e4cf0962c5de9 4745 games optional pathological_1.1.3-5.diff.gz
>  cac7bb70088430681c8fea3f1da6f8fa 823400 games optional pathological_1.1.3-5_all.deb
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.2.5 (GNU/Linux)
> 
> iD8DBQFBU4tzTFkUq7Drx3cRAi6EAKC4irtOoLg6/rjN5OT0DUs9RV2TJgCghux3
> S6bzlJT4YY6alPoUjCwS2Aw=
> =qcld
> -----END PGP SIGNATURE-----
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Miquel van Smoorenburg <miquels@cistron.nl>:
Bug#257876; Package nis. Full text and rfc822 format available.

Acknowledgement sent to Aaron D. Ball <adb@bdi.com>:
Extra info received and forwarded to list. Copy sent to Miquel van Smoorenburg <miquels@cistron.nl>. Full text and rfc822 format available.

Message #27 received at 257876@bugs.debian.org (full text, mbox):

From: Aaron D. Ball <adb@bdi.com>
To: 257876@bugs.debian.org
Subject: Re: Bug#257876: nis: NIS pinches CUPS's ports
Date: Mon, 24 Jan 2005 13:51:39 -0500
Mark Brown recommended specifying ports for NIS services in 
/etc/default/nis as a workaround for this problem, but didn't specify 
how.  Is this file documented somewhere?  The file in /usr/share/doc/ 
indicate that I can set the arguments passed to ypbind, but it doesn't 
look like ypbind accepts a port argument.




Merged 257876 306465. Request was from Mark Brown <broonie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to John Winters <john@sinodun.org.uk>:
Bug#257876. Full text and rfc822 format available.

Message #32 received at 257876-submitter@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: debian-devel@lists.debian.org
Cc: 257876-submitter@bugs.debian.org, 306465-submitter@bugs.debian.org, 261484-submitter@bugs.debian.org
Subject: Portreserve package alternative solution (was Re: Conflicting assignment of priviledged ports on boot)
Date: Sat, 24 Sep 2005 17:51:45 +0200
[Message part 1 (text/plain, inline)]
On Fri, Sep 23, 2005 at 04:54:56PM +0200, Gernot Salzer wrote:
> 
> Well, the problem has been around since at least 2002, so I'd prefer to start
> doing something about it.

Ok, ok. Just for the sake of those being bitten by this bug I've made
portreserve packages and sent and ITP. Packages are currently available at
http://people.debian.org/~jfs/portreserve/

I'm ccing the bug submitters to have them test that solution and see if it
works for them. In any case, bugs might need to be merged and/or renamed to
wishlist once portreserve is available. All the steps on how to avoid this
issue using portreserve are described in the upstream README file and
Debian's README.Debian file in the package.

We also need to coordinate with other distros (such as Red Hat or SuSE).

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Tags added: confirmed Request was from broonie@sirena.org.uk (Mark Brown) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Mark Brown <broonie@sirena.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to John Winters <john@sinodun.org.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 257876-done@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@sirena.org.uk>
To: 257876-done@bugs.debian.org
Subject: glibc now supports bindresvport.blacklist
Date: Thu, 9 Aug 2007 12:34:25 +0100
[Message part 1 (text/plain, inline)]
glibc version 2.6.1-1 introduces support for a blacklist file called
/etc/bindresvport.blacklist which allows the administrator to stop ports
being returned to applications binding to INADDR_ANY.  From the glibc
changelog:

  * debian/local/etc/bindresvport.blacklist: new default configuration
    file.

This isn't ideal in that it won't easily work out of the box but further
improvement should probably be done via glibc.

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."
[signature.asc (application/pgp-signature, inline)]

Reply sent to Mark Brown <broonie@sirena.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jens Taprogge <jens.taprogge@post.rwth-aachen.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Sep 2007 07:29:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:56:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.